## kernel-patch-2.4.27-mips 2.4.27-10.sarge1.040815-1

=== debian/changelog ===
kernel-patch-2.4.27-mips (2.4.27-10.sarge1.040815-1) stable-security; urgency=high

  * Update to debian kernel source 2.4.27-10sarge1 for security fixes.
    See kernel source changelog for details.
  * Fix the fix for Cobalt PCI initialization.

 -- Thiemo Seufer <ths@debian.org>  Wed, 24 Aug 2005 13:51:35 +0000

kernel-patch-2.4.27-mips (2.4.27-10.040815-1) unstable; urgency=high

  * Update to debian kernel source 2.4.27-10 for security fixes.
    See kernel source changelog for details.
  * Tighten build dependency to match the exact source version.
  * Fix crash for serial-less Cobalt Qube1, 12_cobalt-qube1-serial.dpatch.
  * Fix Cobalt PCI initialization.
  * Disable CONFIG_IDEDMA_PCI_AUTO, CONFIG_IDEDMA_AUTO again for Cobalt
    because of crashes under I/O load.

 -- Thiemo Seufer <ths@debian.org>  Mon, 02 May 2005 20:44:40 +0200

kernel-patch-2.4.27-mips (2.4.27-9.040815-1) unstable; urgency=low

  * Update to debian kernel source 2.4.27-9 for security fixes.
    See kernel source changelog for details.
  * Relicense the elf2ecoff manpage to GPL 2.
  * Fix broken ptrace patch (Closes: #299204).

 -- Thiemo Seufer <ths@debian.org>  Wed, 26 Jan 2005 17:23:37 +0100

kernel-patch-2.4.27-mips (2.4.27-8.040815-1) unstable; urgency=high

  * Update to debian kernel source 2.4.27-8 for security fixes.
    See kernel source changelog for details.
  * Enable CONFIG_USB_STORAGE for cobalt, and bring the storage modules
    of other USB-using subarches in line with it (Closes: #290482).
  * Fix detection of make failures.

 -- Thiemo Seufer <ths@debian.org>  Fri, 14 Jan 2005 19:46:13 +0100

kernel-patch-2.4.27-mips (2.4.27-7.040815-1) unstable; urgency=low

  * Update to debian kernel source 2.4.27-7, mainly for security fixes.
    See kernel source changelog for details.
  * Minor control file fixes.
  * Enable CONFIG_IDEDMA_*AUTO for Cobalt (Closes: #281447).
  * Add 11_cobalt-tulip.dpatch to support ethernet in some early
    cobalt machines.
  * Fix exploitable ptrace syscall handling.
  * Fix TLB handling for MIPS32 CPUs, it may break under load.

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Mon, 15 Nov 2004 19:31:47 +0100

kernel-patch-2.4.27-mips (2.4.27-5.040815-1) unstable; urgency=medium

  * Update to debian kernel source 2.4.27-5.
  * Update kernel configs.
  * Improve package version handling in debian/rules.

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Thu, 09 Sep 2004 04:26:28 +0200

kernel-patch-2.4.27-mips (2.4.27-2.040815) unstable; urgency=medium

  * Update to kernel version 2.4.27, mips CVS 2004-08-15.
  * Update control file descriptions, change Maintainership to
    debian-kernel.
  * Remove 01_export-objs.dpatch, 02_addinitrd-cleanup.dpatch,
    20_swarm-TIOCGSERIAL.dpatch , 23_swarm-highmem-tlb.dpatch
    and 41_ip22-ipv6.dpatch, they went in upstream.
  * Update kernel configs.
  * Add sound/usb/firewire modules for r5k-cobalt.  Closes: #266607
  * Add patch for xxs1500 board_reset function, 50_xxs1500-boardreset.dpatch.
  * Add patch for SWARM to enable MIPS_RTC again, 20_sb1-mipsrtc.dpatch.

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Wed, 18 Aug 2004 17:44:52 +0100

kernel-patch-2.4.26-mips (2.4.26-4.040505) unstable; urgency=low

  * Build against kernel-source-2.4.26 version 2.4.26-4, fixes stack
    allocation in crypt().
  * Update control file descriptions.

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Thu, 29 Jul 2004 00:30:02 +0200

kernel-patch-2.4.26-mips (2.4.26-3.040505) unstable; urgency=low

  * Build against kernel-source-2.4.26 version 2.4.26-3 in order to
    get some security fixes.
  * Use dpatch for patch handling.
  * Don't create a kernel-patch-mips package any more.

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Wed, 14 Jul 2004 16:05:27 +0200

kernel-patch-2.4.26-mips (2.4.26-0.040505.1) unstable; urgency=low

  * Improve compiler optimization options.
  * Add some more ide, usb and nic modules (Closes: #238428).
  * Remove forcedeth module, it's not useful for SWARM.
  * Enable Framebuffer support, makes USB HID useful (Closes: #244443).
  * Build mips-tools for any arch.
  * Don't build the kernel headers for non-MIPS arch (Closes: #249821).

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Sun, 30 May 2004 23:59:37 +0200

kernel-patch-2.4.26-mips (2.4.26-0.040505) unstable; urgency=low

  * Switched to kernel version 2.4.26, mips CVS 2004-05-05.
  * Don't create separate ppp module packages for r3k-kn02, r4k-kn04,
    r4k-ip22 anymore.
  * Add xxs1500 images, thanks to Goswin Brederlow.
  * Split the mips-patch in several items, keep them uncompressed,
    adjust debian/rules accordingly.
  * simplify debian/rules a bit.
  * enable some more modules for sb1-swarm, especially scsi and usb,
    and add highmem support. Export some symbols for this.
  * Fix basic PCMCIA operations for sb1-swarm, thanks to
    Peter 'p2' de Schrijver.

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Sun, 16 May 2004 22:36:13 +0200

kernel-patch-2.4.25-mips (2.4.25-0.040415.1) unstable; urgency=low

  * switched kernel version to 2.4.25, thanks to Thiemo Seufer.
  * modified 2.4.19 PMAD-AA patch to work with 2.4.25 and applied it
  * applied Cobalt patch from
    http://www.colonel-panic.org/cobalt-mips/
  * do not build drivers/tc/lk201-map.c on the fly anymore but instead
    provide a pregenerated source file as current loadkeys produces code
    which aims at kernel 2.5/2.6 and is incompatible with kernel 2.4
  * used new initrd patch written by
    Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>, and a fix for it
    by Martin Michlmayr.
  * added patch implementing TIOCGSERIAL for the SWARM, thanks to
    Peter 'p2' De Schrijver.
  * add Cobalt images, thanks Martin Michlmayr (Closes: #243626).
  * enable sb1-swarm-bn images on little-endian mips.
  * enable CONFIG_UNIX on sb1-swarm-bn (Closes: #243630).
  * enable OSS mixer on ip22.
  * built against kernel-source-2.4.25 version 2.4.25-3 in order to

